Bug 49271 - Show safety question for UCS@school installations
Show safety question for UCS@school installations
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4-0-errata
Assigned To: Jürn Brodersen
Sönke Schwardt-Krummrich
:
Depends on:
Blocks: 49830
  Show dependency treegraph
 
Reported: 2019-04-09 20:34 CEST by Sönke Schwardt-Krummrich
Modified: 2019-07-10 13:20 CEST (History)
6 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.206
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
pre-QA run to show changes and german translations (1.38 MB, video/mp4)
2019-06-21 22:32 CEST, Sönke Schwardt-Krummrich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2019-04-09 20:34:47 CEST
When installing a domaincontroller slave the customers are not aware of the fact that for school servers the school has to be created on the domaincontroller master and the computer name of the school server has to be specified beforehand. Currently, more and more slaves are being unintentionally installed as central slaves, which means that the domaincontroller slave systems have to be completely reinstalled (among other manual steps).

If the credentials for joining have been specified in the installer (system setup), the credentials should be used to check whether the master is a UCS@school domain. If this is the case, an additional page in system setup is displayed to the customer asking whether the slave should become a central slave or a school server. If the selection of the customer *does not* match the LDAP settings (e.g. school is missing), a warning with instructions is displayed.

If no join credentials are specified by the customer because the join is to take place later, the installer could try to determine whether the master recognized in the DNS is a UCS@school system and then point out again that a school must be created BEFORE for school servers (concrete instructions should be included).
Comment 1 Jürn Brodersen univentionstaff 2019-05-14 09:58:08 CEST
Comited to branch:
juern/49271_school_question

Please reopen for build etc

I did not added any DNS entry for now. I think we should track/discuse that in a separate bug. (Also the time got away from me)
Comment 2 Jürn Brodersen univentionstaff 2019-05-15 16:16:29 CEST
Feedback from:
https://git.knut.univention.de/univention/ucs/commit/4cd45d9537ff67b3d1c629028e49a86a47a9fe00

[juern/49271_school_question 4cd45d9537] Bug #49271: Show safety question for UCS@school installations
[juern/49271_school_question d6e8593f1e] Bug #49271: escape remote command
Comment 3 Jürn Brodersen univentionstaff 2019-05-15 16:16:46 CEST
[juern/49271_school_question 980ab3649d] Bug #49271: Improve message
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2019-06-21 22:31:03 CEST
An additional page has been added to the system setup wizard, which is only displayed if
- the role "Domaincontroller Slave" was selected during the installation AND
- Join credentials were specified for the DC master AND
- the DC Master is a UCS@school *MULTI* server environment.

On this page the user can tell the installer what she/he wants to use this system for (edu slave, administration slave, central slave).
When clicking Next, system setup checks whether the LDAP configuration matches the user's selection. If there are differences, the the user is notified of this with a popup. There is always a choice for the user to continue with the installation process if necessary. However, in this case UCS@school will not be installed/wrongly, which then requires a reinstallation of the system to get the correct installation.

I fixed the CSS style and adapted the texts and translations (see attached video).

[juern/49271_school_question] 35f31b0f6e Bug #49271: fix copy'n'paste error in translation
[juern/49271_school_question] 0b62c70856 Bug #49271: adapt CSS style
[juern/49271_school_question] 661ac107ab Bug #49271: remove intermediate translations
[juern/49271_school_question] 70cfea3204 Bug #49271: add some debug output
[juern/49271_school_question] d7fab8a413 Bug #49271: update texts and translations

I think it's ready for rebase and merge.
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2019-06-21 22:32:13 CEST
Created attachment 10078 [details]
pre-QA run to show changes and german translations
Comment 6 Jürn Brodersen univentionstaff 2019-06-28 16:11:11 CEST
Changes haven been merged and package has been build.

For testing: The new system-setup should be included in the latest test dvd beginning from 2019-06-28.
Comment 7 Jürn Brodersen univentionstaff 2019-07-01 12:50:10 CEST
[4.4-0 0b6dd7572d] Bug #49271: Fix log message syntax
[4.4-0 59a9da4de1] Bug #49271: yaml
Comment 8 Sönke Schwardt-Krummrich univentionstaff 2019-07-05 18:00:28 CEST
A simple installation as educational slave is covered by this Jenkins test:
http://jenkins.knut.univention.de:8080/job/UCS-4.4/job/UCS-4.4-0/job/Installation%20Tests/mode=school/

[4.4-0] f89030ec06 Bug #49271: update advisory
Comment 9 Sönke Schwardt-Krummrich univentionstaff 2019-07-05 18:15:10 CEST
Works as expected with latest ISO of today.
→ VERIFIED
Comment 10 Erik Damrose univentionstaff 2019-07-10 13:20:31 CEST
<http://errata.software-univention.de/ucs/4.4/183.html>